diff --git a/game/client/src/main/java/net/minecraft/client/gui/guidebook/smelting/RecipePageBlastSmelting.java b/game/client/src/main/java/net/minecraft/client/gui/guidebook/smelting/RecipePageBlastSmelting.java
index c1770801b..ee3eb4e8f 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/guidebook/smelting/RecipePageBlastSmelting.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/guidebook/smelting/RecipePageBlastSmelting.java
@@ -12,16 +12,13 @@ import net.minecraft.client.gui.guidebook.search.GuidebookPageSearch;
 import net.minecraft.client.option.enums.DescriptionPromptEnum;
 import net.minecraft.client.render.TextureManager;
 import net.minecraft.client.render.font.FontRenderer;
-import net.minecraft.core.achievement.Achievements;
+import net.minecraft.client.render.renderer.GLRenderer;
 import net.minecraft.core.data.registry.recipe.RecipeSymbol;
 import net.minecraft.core.data.registry.recipe.SearchQuery;
 import net.minecraft.core.data.registry.recipe.entry.RecipeEntryBlastFurnace;
-import net.minecraft.core.entity.player.Player;
 import net.minecraft.core.lang.I18n;
 import net.minecraft.core.player.inventory.slot.Slot;
 import net.minecraft.client.gui.guidebook.SlotGuidebook;
-import org.lwjgl.input.Keyboard;
-import org.lwjgl.opengl.GL11;
 
 import java.util.ArrayList;
 import java.util.HashMap;
@@ -32,40 +29,41 @@ public class RecipePageBlastSmelting
     extends RecipePage<RecipeEntryBlastFurnace> {
     public static final int RECIPES_PER_PAGE = 6;
     public List<SlotGuidebook> slots;
-    public Map<RecipeEntryBlastFurnace,List<SlotGuidebook>> map;
+    public Map<RecipeEntryBlastFurnace, List<SlotGuidebook>> map;
     private final TooltipElement tooltipElement;
     private final ItemElement itemElement;
     private static final Minecraft mc = Minecraft.getMinecraft();
     private static long ticks = 0;
+
     public RecipePageBlastSmelting(GuidebookSection section, ArrayList<RecipeEntryBlastFurnace> recipes) {
         super(section);
         this.recipes = recipes;
         this.slots = new ArrayList<>();
         this.map = new HashMap<>();
-        tooltipElement = new TooltipElement(mc);
-        itemElement = new ItemElement(mc);
+        this.tooltipElement = new TooltipElement(mc);
+        this.itemElement = new ItemElement(mc);
 
         for (RecipeEntryBlastFurnace recipe : recipes) {
             List<SlotGuidebook> recipeSlots = new ArrayList<>();
-            recipeSlots.add(new SlotGuidebook(0, (width/2)-52, 32*(map.size()+1)-16, recipe.getInput()[0], false,recipe));
+            recipeSlots.add(new SlotGuidebook(0, (this.width / 2) - 52, 32 * (this.map.size() + 1) - 16, recipe.getInput()[0], false, recipe));
             if (recipe.getInput().length == 2) {
-                recipeSlots.add(new SlotGuidebook(1, (width/2)-32, 32*(map.size()+1)-16, recipe.getInput()[1], false,recipe));
+                recipeSlots.add(new SlotGuidebook(1, (this.width / 2) - 32, 32 * (this.map.size() + 1) - 16, recipe.getInput()[1], false, recipe));
             } else {
-                recipeSlots.add(new SlotGuidebook(0, (width/2)-32, 32*(map.size()+1)-16, null, false,recipe));
+                recipeSlots.add(new SlotGuidebook(0, (this.width / 2) - 32, 32 * (this.map.size() + 1) - 16, null, false, recipe));
             }
-            recipeSlots.add(new SlotGuidebook(2, (width/2)+24, 32*(map.size()+1)-16, new RecipeSymbol(recipe.getOutput()), false,recipe));
-            map.put(recipe,recipeSlots);
-            slots.addAll(recipeSlots);
+            recipeSlots.add(new SlotGuidebook(2, (this.width / 2) + 24, 32 * (this.map.size() + 1) - 16, new RecipeSymbol(recipe.getOutput()), false, recipe));
+            this.map.put(recipe, recipeSlots);
+            this.slots.addAll(recipeSlots);
         }
     }
 
     @Override
     public void onTick() {
         ticks++;
-        for (SlotGuidebook slot : slots) {
-            if(ticks > 20) {
+        for (SlotGuidebook slot : this.slots) {
+            if (ticks > 20) {
                 slot.showRandomItem();
-                if(slots.get(slots.size()-1) == slot){
+                if (this.slots.get(this.slots.size() - 1) == slot) {
                     ticks = 0;
                 }
             }
@@ -74,33 +72,32 @@ public class RecipePageBlastSmelting
 
     @Override
     protected void renderForeground(TextureManager re, FontRenderer sr, int x, int y, int mouseX, int mouseY, float partialTicks) {
-        if(recipes.isEmpty()){
-            drawStringCenteredNoShadow(sr, I18n.getInstance().translateKey("guidebook.section.search.error.no_recipes") ,x+width/2,y+height/2,0xFF808080);
+        if (this.recipes.isEmpty()) {
+            drawStringCenteredNoShadow(sr, I18n.getInstance().translateKey("guidebook.section.search.error.no_recipes"), x + this.width / 2, y + this.height / 2, 0xFF808080);
         }
         SlotGuidebook mouseOverSlot = null;
-        for (SlotGuidebook slot : slots) {
-            drawSlot(x+slot.x -1,y+slot.y -1,0xFFFFFFFF);
-            if(getIsMouseOverSlot(slot,x,y,mouseX,mouseY)) mouseOverSlot = slot;
-            itemElement.render(slot.getItemStack(),x+slot.x,y+slot.y,mouseOverSlot == slot,slot);
+        for (SlotGuidebook slot : this.slots) {
+            drawSlot(x + slot.x - 1, y + slot.y - 1, 0xFFFFFFFF);
+            if (getIsMouseOverSlot(slot, x, y, mouseX, mouseY)) mouseOverSlot = slot;
+            this.itemElement.render(slot.getItemStack(), x + slot.x, y + slot.y, mouseOverSlot == slot, slot);
         }
     }
 
-    public boolean getIsMouseOverSlot(final Slot slot, int x, int y, int mouseX, int mouseY)
-    {
-        return mouseX >= x+slot.x - 1 && mouseX < x+slot.x + 16 + 1 && mouseY >= y+slot.y - 1 && mouseY < y+slot.y + 16 + 1;
+    public boolean getIsMouseOverSlot(final Slot slot, int x, int y, int mouseX, int mouseY) {
+        return mouseX >= x + slot.x - 1 && mouseX < x + slot.x + 16 + 1 && mouseY >= y + slot.y - 1 && mouseY < y + slot.y + 16 + 1;
     }
 
     @Override
     public boolean keyTyped(char c, int key, int x, int y, int mouseX, int mouseY) {
         super.keyTyped(c, key, x, y, mouseX, mouseY);
-        if(mc.gameSettings.keyShowRecipe.isKeyboardKey(key)){
-            SlotGuidebook hoveringSlot= null;
-            for (SlotGuidebook slot : slots) {
-                if(getIsMouseOverSlot(slot,x,y,mouseX,mouseY)) hoveringSlot = slot;
+        if (mc.gameSettings.keyShowRecipe.isKeyboardKey(key)) {
+            SlotGuidebook hoveringSlot = null;
+            for (SlotGuidebook slot : this.slots) {
+                if (getIsMouseOverSlot(slot, x, y, mouseX, mouseY)) hoveringSlot = slot;
             }
-            if(hoveringSlot != null){
-                if(hoveringSlot.hasItem()){
-                    String query = "r:"+hoveringSlot.getItemStack().getDisplayName()+"!";
+            if (hoveringSlot != null) {
+                if (hoveringSlot.hasItem()) {
+                    String query = "r:" + hoveringSlot.getItemStack().getDisplayName() + "!";
                     GuidebookPageManager.searchQuery = SearchQuery.resolve(query);
                     GuidebookPageSearch.searchField.setText(query);
                     ScreenGuidebook.getPageManager().updatePages();
@@ -109,11 +106,11 @@ public class RecipePageBlastSmelting
                 }
             }
         } else if (mc.gameSettings.keyShowUsage.isKeyboardKey(key)) {
-            SlotGuidebook hoveringSlot= null;
-            for (SlotGuidebook slot : slots) {
-                if(getIsMouseOverSlot(slot,x,y,mouseX,mouseY)) hoveringSlot = slot;
+            SlotGuidebook hoveringSlot = null;
+            for (SlotGuidebook slot : this.slots) {
+                if (getIsMouseOverSlot(slot, x, y, mouseX, mouseY)) hoveringSlot = slot;
             }
-            if(hoveringSlot != null) {
+            if (hoveringSlot != null) {
                 if (hoveringSlot.hasItem()) {
                     String query = "u:" + hoveringSlot.getItemStack().getDisplayName() + "!";
                     GuidebookPageManager.searchQuery = SearchQuery.resolve(query);
@@ -137,10 +134,10 @@ public class RecipePageBlastSmelting
     protected void renderBackground(TextureManager re, int x, int y) {
         super.renderBackground(re, x, y);
         re.bindTexture(re.loadTexture("/assets/minecraft/textures/gui/container/guidebook/guidebook.png"));
-        for (int i = 1; i <= recipes.size(); i++) {
-            RecipeEntryBlastFurnace recipe = recipes.get(i-1);
-            List<SlotGuidebook> list = map.get(recipe);
-            drawTexturedModalRect(x + list.get(list.size()-1).x - 32, y +  list.get(list.size()-1).y, 234, 0, 22, 15);
+        for (int i = 1; i <= this.recipes.size(); i++) {
+            RecipeEntryBlastFurnace recipe = this.recipes.get(i - 1);
+            List<SlotGuidebook> list = this.map.get(recipe);
+            drawTexturedModalRect(x + list.get(list.size() - 1).x - 32, y + list.get(list.size() - 1).y, 234, 0, 22, 15);
         }
     }
 
@@ -148,16 +145,14 @@ public class RecipePageBlastSmelting
     protected void renderOverlay(TextureManager re, FontRenderer sr, int x, int y, int mouseX, int mouseY, float partialTicks) {
         super.renderOverlay(re, sr, x, y, mouseX, mouseY, partialTicks);
         SlotGuidebook mouseOverSlot = null;
-        for (SlotGuidebook slot : slots) {
-            if(getIsMouseOverSlot(slot,x,y,mouseX,mouseY)) mouseOverSlot = slot;
-            GL11.glColor4f(1.0F, 1.0F, 1.0F, 1.0F);
-            if (mouseOverSlot != null && mouseOverSlot.hasItem())
-            {
+        for (SlotGuidebook slot : this.slots) {
+            if (getIsMouseOverSlot(slot, x, y, mouseX, mouseY)) mouseOverSlot = slot;
+            GLRenderer.setColor4f(1.0F, 1.0F, 1.0F, 1.0F);
+            if (mouseOverSlot != null && mouseOverSlot.hasItem()) {
                 boolean showDescription = DescriptionPromptEnum.showDescription(mc);
-                String str = tooltipElement.getTooltipText(mouseOverSlot.getItemStack(), showDescription, mouseOverSlot);
-                if(!str.isEmpty())
-                {
-                    tooltipElement.render(str, mouseX, mouseY, 8, -8);
+                String str = this.tooltipElement.getTooltipText(mouseOverSlot.getItemStack(), showDescription, mouseOverSlot);
+                if (!str.isEmpty()) {
+                    this.tooltipElement.render(str, mouseX, mouseY, 8, -8);
                 }
             }
         }
diff --git a/game/client/src/main/java/net/minecraft/client/gui/guidebook/smelting/RecipePageSmelting.java b/game/client/src/main/java/net/minecraft/client/gui/guidebook/smelting/RecipePageSmelting.java
index d75779401..7c68cde75 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/guidebook/smelting/RecipePageSmelting.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/guidebook/smelting/RecipePageSmelting.java
@@ -12,16 +12,13 @@ import net.minecraft.client.gui.guidebook.search.GuidebookPageSearch;
 import net.minecraft.client.option.enums.DescriptionPromptEnum;
 import net.minecraft.client.render.TextureManager;
 import net.minecraft.client.render.font.FontRenderer;
-import net.minecraft.core.achievement.Achievements;
+import net.minecraft.client.render.renderer.GLRenderer;
 import net.minecraft.core.data.registry.recipe.RecipeSymbol;
 import net.minecraft.core.data.registry.recipe.SearchQuery;
 import net.minecraft.core.data.registry.recipe.entry.RecipeEntryFurnace;
-import net.minecraft.core.entity.player.Player;
 import net.minecraft.core.lang.I18n;
 import net.minecraft.core.player.inventory.slot.Slot;
 import net.minecraft.client.gui.guidebook.SlotGuidebook;
-import org.lwjgl.input.Keyboard;
-import org.lwjgl.opengl.GL11;
 
 import java.util.ArrayList;
 import java.util.HashMap;
@@ -32,35 +29,36 @@ public class RecipePageSmelting
     extends RecipePage<RecipeEntryFurnace> {
     public static final int RECIPES_PER_PAGE = 6;
     public List<SlotGuidebook> slots;
-    public Map<RecipeEntryFurnace,List<SlotGuidebook>> map;
+    public Map<RecipeEntryFurnace, List<SlotGuidebook>> map;
     private final TooltipElement tooltipElement;
     private final ItemElement itemElement;
     private static final Minecraft mc = Minecraft.getMinecraft();
     private static long ticks = 0;
+
     public RecipePageSmelting(GuidebookSection section, ArrayList<RecipeEntryFurnace> recipes) {
         super(section);
         this.recipes = recipes;
         this.slots = new ArrayList<>();
         this.map = new HashMap<>();
-        tooltipElement = new TooltipElement(mc);
-        itemElement = new ItemElement(mc);
+        this.tooltipElement = new TooltipElement(mc);
+        this.itemElement = new ItemElement(mc);
 
         for (RecipeEntryFurnace recipe : recipes) {
             List<SlotGuidebook> recipeSlots = new ArrayList<>();
-            recipeSlots.add(new SlotGuidebook(0, (width/2)-32, 32*(map.size()+1)-16, recipe.getInput(), false,recipe));
-            recipeSlots.add(new SlotGuidebook(1, (width/2)+24, 32*(map.size()+1)-16, new RecipeSymbol(recipe.getOutput()), false,recipe));
-            map.put(recipe,recipeSlots);
-            slots.addAll(recipeSlots);
+            recipeSlots.add(new SlotGuidebook(0, (this.width / 2) - 32, 32 * (this.map.size() + 1) - 16, recipe.getInput(), false, recipe));
+            recipeSlots.add(new SlotGuidebook(1, (this.width / 2) + 24, 32 * (this.map.size() + 1) - 16, new RecipeSymbol(recipe.getOutput()), false, recipe));
+            this.map.put(recipe, recipeSlots);
+            this.slots.addAll(recipeSlots);
         }
     }
 
     @Override
     public void onTick() {
         ticks++;
-        for (SlotGuidebook slot : slots) {
-            if(ticks > 20) {
+        for (SlotGuidebook slot : this.slots) {
+            if (ticks > 20) {
                 slot.showRandomItem();
-                if(slots.get(slots.size()-1) == slot){
+                if (this.slots.get(this.slots.size() - 1) == slot) {
                     ticks = 0;
                 }
             }
@@ -69,33 +67,32 @@ public class RecipePageSmelting
 
     @Override
     protected void renderForeground(TextureManager re, FontRenderer sr, int x, int y, int mouseX, int mouseY, float partialTicks) {
-        if(recipes.isEmpty()){
-            drawStringCenteredNoShadow(sr, I18n.getInstance().translateKey("guidebook.section.search.error.no_recipes") ,x+width/2,y+height/2,0xFF808080);
+        if (this.recipes.isEmpty()) {
+            drawStringCenteredNoShadow(sr, I18n.getInstance().translateKey("guidebook.section.search.error.no_recipes"), x + this.width / 2, y + this.height / 2, 0xFF808080);
         }
         SlotGuidebook mouseOverSlot = null;
-        for (SlotGuidebook slot : slots) {
-            drawSlot(x+slot.x -1,y+slot.y -1,0xFFFFFFFF);
-            if(getIsMouseOverSlot(slot,x,y,mouseX,mouseY)) mouseOverSlot = slot;
-            itemElement.render(slot.getItemStack(),x+slot.x,y+slot.y,mouseOverSlot == slot,slot);
+        for (SlotGuidebook slot : this.slots) {
+            drawSlot(x + slot.x - 1, y + slot.y - 1, 0xFFFFFFFF);
+            if (getIsMouseOverSlot(slot, x, y, mouseX, mouseY)) mouseOverSlot = slot;
+            this.itemElement.render(slot.getItemStack(), x + slot.x, y + slot.y, mouseOverSlot == slot, slot);
         }
     }
 
-    public boolean getIsMouseOverSlot(final Slot slot, int x, int y, int mouseX, int mouseY)
-    {
-        return mouseX >= x+slot.x - 1 && mouseX < x+slot.x + 16 + 1 && mouseY >= y+slot.y - 1 && mouseY < y+slot.y + 16 + 1;
+    public boolean getIsMouseOverSlot(final Slot slot, int x, int y, int mouseX, int mouseY) {
+        return mouseX >= x + slot.x - 1 && mouseX < x + slot.x + 16 + 1 && mouseY >= y + slot.y - 1 && mouseY < y + slot.y + 16 + 1;
     }
 
     @Override
     public boolean keyTyped(char c, int key, int x, int y, int mouseX, int mouseY) {
         super.keyTyped(c, key, x, y, mouseX, mouseY);
-        if(mc.gameSettings.keyShowRecipe.isKeyboardKey(key)){
-            SlotGuidebook hoveringSlot= null;
-            for (SlotGuidebook slot : slots) {
-                if(getIsMouseOverSlot(slot,x,y,mouseX,mouseY)) hoveringSlot = slot;
+        if (mc.gameSettings.keyShowRecipe.isKeyboardKey(key)) {
+            SlotGuidebook hoveringSlot = null;
+            for (SlotGuidebook slot : this.slots) {
+                if (getIsMouseOverSlot(slot, x, y, mouseX, mouseY)) hoveringSlot = slot;
             }
-            if(hoveringSlot != null){
-                if(hoveringSlot.hasItem()){
-                    String query = "r:"+hoveringSlot.getItemStack().getDisplayName()+"!";
+            if (hoveringSlot != null) {
+                if (hoveringSlot.hasItem()) {
+                    String query = "r:" + hoveringSlot.getItemStack().getDisplayName() + "!";
                     GuidebookPageManager.searchQuery = SearchQuery.resolve(query);
                     GuidebookPageSearch.searchField.setText(query);
                     ScreenGuidebook.getPageManager().updatePages();
@@ -104,11 +101,11 @@ public class RecipePageSmelting
                 }
             }
         } else if (mc.gameSettings.keyShowUsage.isKeyboardKey(key)) {
-            SlotGuidebook hoveringSlot= null;
-            for (SlotGuidebook slot : slots) {
-                if(getIsMouseOverSlot(slot,x,y,mouseX,mouseY)) hoveringSlot = slot;
+            SlotGuidebook hoveringSlot = null;
+            for (SlotGuidebook slot : this.slots) {
+                if (getIsMouseOverSlot(slot, x, y, mouseX, mouseY)) hoveringSlot = slot;
             }
-            if(hoveringSlot != null) {
+            if (hoveringSlot != null) {
                 if (hoveringSlot.hasItem()) {
                     String query = "u:" + hoveringSlot.getItemStack().getDisplayName() + "!";
                     GuidebookPageManager.searchQuery = SearchQuery.resolve(query);
@@ -132,10 +129,10 @@ public class RecipePageSmelting
     protected void renderBackground(TextureManager re, int x, int y) {
         super.renderBackground(re, x, y);
         re.bindTexture(re.loadTexture("/assets/minecraft/textures/gui/container/guidebook/guidebook.png"));
-        for (int i = 1; i <= recipes.size(); i++) {
-            RecipeEntryFurnace recipe = recipes.get(i-1);
-            List<SlotGuidebook> list = map.get(recipe);
-            drawTexturedModalRect(x + list.get(list.size()-1).x - 32, y +  list.get(list.size()-1).y, 234, 0, 22, 15);
+        for (int i = 1; i <= this.recipes.size(); i++) {
+            RecipeEntryFurnace recipe = this.recipes.get(i - 1);
+            List<SlotGuidebook> list = this.map.get(recipe);
+            drawTexturedModalRect(x + list.get(list.size() - 1).x - 32, y + list.get(list.size() - 1).y, 234, 0, 22, 15);
         }
     }
 
@@ -143,16 +140,14 @@ public class RecipePageSmelting
     protected void renderOverlay(TextureManager re, FontRenderer sr, int x, int y, int mouseX, int mouseY, float partialTicks) {
         super.renderOverlay(re, sr, x, y, mouseX, mouseY, partialTicks);
         SlotGuidebook mouseOverSlot = null;
-        for (SlotGuidebook slot : slots) {
-            if(getIsMouseOverSlot(slot,x,y,mouseX,mouseY)) mouseOverSlot = slot;
-            GL11.glColor4f(1.0F, 1.0F, 1.0F, 1.0F);
-            if (mouseOverSlot != null && mouseOverSlot.hasItem())
-            {
+        for (SlotGuidebook slot : this.slots) {
+            if (getIsMouseOverSlot(slot, x, y, mouseX, mouseY)) mouseOverSlot = slot;
+            GLRenderer.setColor4f(1.0F, 1.0F, 1.0F, 1.0F);
+            if (mouseOverSlot != null && mouseOverSlot.hasItem()) {
                 boolean showDescription = DescriptionPromptEnum.showDescription(mc);
-                String str = tooltipElement.getTooltipText(mouseOverSlot.getItemStack(), showDescription, mouseOverSlot);
-                if(!str.isEmpty())
-                {
-                    tooltipElement.render(str, mouseX, mouseY, 8, -8);
+                String str = this.tooltipElement.getTooltipText(mouseOverSlot.getItemStack(), showDescription, mouseOverSlot);
+                if (!str.isEmpty()) {
+                    this.tooltipElement.render(str, mouseX, mouseY, 8, -8);
                 }
             }
         }
